List Templates

View as Markdown

Returns a list of the Templates that are accessible by you.

Take a look at our search guide to learn more about querying templates.

Authentication

AuthorizationBasic

Your API key can be used to make calls to the Dropbox Sign API. See Authentication for more information. ✅ Supported by Try it console (calls sent in test_mode only).

OR
AuthorizationBearer
You can use an Access Token issued through an OAuth flow to send calls to the Dropbox Sign API from your app. The access scopes required by this endpoint are listed in the gray box above. See [Authentication](/api/reference/authentication) for more information. ❌ **Not supported** by Try it console.

Query parameters

account_idstringOptional

Which account to return Templates for. Must be a team member. Use all to indicate all team members. Defaults to your account.

pageintegerOptionalDefaults to 1

Which page number of the Template List to return. Defaults to 1.

page_sizeintegerOptional1-100Defaults to 20

Number of objects to be returned per page. Must be between 1 and 100. Default is 20.

querystringOptional

String that includes search terms and/or fields to be used to filter the Template objects.

Response headers

X-RateLimit-Limitinteger
The maximum number of requests per hour that you can make.
X-RateLimit-Remaininginteger
The number of requests remaining in the current rate limit window.
X-Ratelimit-Resetinteger
The Unix time at which the rate limit will reset to its maximum.

Response

successful operation
templateslist of objects
List of templates that the API caller has access to.
list_infoobject
Contains pagination information about the data returned.
warningslist of objects
A list of warnings.

Errors

4XX
Client Request Error